# Method: projects.locations.services.revisions.delete

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete#body.aspect)

Deletes a Revision.

### HTTP request

`DELETE https://run.googleapis.com/v2/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Revision to delete. Format: projects/{project}/locations/{location}/services/{service}/revisions/{revision} It takes the form `projects/{project}/locations/{location}/services/{service}/revisions/{revision}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `run.revisions.delete` |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` Indicates that the request should be validated without actually deleting any resources. |
| `etag` | `string` A system-generated fingerprint for this version of the resource. This may be used to detect modification conflict during updates. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).